<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>List Driver</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-4">
                  <input [(ngModel)]="driverForm" [formControl]="queryField" type="text" placeholder="search for driver"
                    [matAutocomplete]="auto" class="form-control custom-class-border"
                    (ngModelChange)="searchDriver($event)">
                  <img *ngIf="loadingIndicator == 'searchDriver'" class="loading_indicator"
                    src="assets/img/loading.gif" alt="loader"/>
                  <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFndriver">
                    <mat-option *ngFor="let driver of DriverList" [value]="driver">
                      <span class="img-otr">
                        <img style="vertical-align:middle;" aria-hidden
                          src="{{driver.profile_picture ? apiUrl + driver.profile_picture+imageext: '../../assets/img/noimage.jpg'}}"
                          height="25" alt="profile img"/>
                      </span>
                      <div class="option-otr">
                        <div class="option_span">
                          <strong> Username:</strong> {{ driver.username }}</div>
                        <div class="option_span">
                          <strong>Name and Surname:</strong>{{ driver.name }} &nbsp;{{ driver.surname }}</div>
                        <div class="option_span">
                          <strong>Display Name:</strong>{{ driver.display_name }}</div>
                      </div>
                    </mat-option>
                    <mat-option *ngIf="DriverList == '' && DriverList.length == 0">No Matches Found</mat-option>
                  </mat-autocomplete>
                </div>
                <div class="col-sm-4">
                  <input matInput placeholder="Select Driver Groups" class="form-control custom-class-border"
                    name="driver_group" #driver_group="ngModel" (ngModelChange)="searchDriverGroups($event)"
                    [(ngModel)]="driver_groups" aria-label="Device" [matAutocomplete]="driver_group">
                  <img *ngIf="loadingIndicator == 'searchDriverGroups'" class="loading_indicator"
                    src="assets/img/loading.gif" alt="loader"/>
                  <mat-autocomplete #driver_group="matAutocomplete" [displayWith]="displayFndriverGroup">
                    <mat-option *ngFor="let data of driverGroupData" [value]="data">
                      <span>{{ data.name }}</span>
                    </mat-option>
                    <mat-option *ngIf="driverGroupData == '' && driverGroupData.length == 0">No Matches Found
                    </mat-option>
                  </mat-autocomplete>
                </div>

                <div class="col-sm-2">
                  <select [(ngModel)]="blocked_status" name="blocked_status" class="form-control"
                    placeholder="Driver status">
                    <option value="" hidden>Driver status</option>
                    <option value="0"> Unblocked</option>
                    <option value="1"> Blocked</option>
                  </select>
                </div>
                <div class="col-sm-2">
                  <mat-select [(ngModel)]="driver_status" placeholder="Driver status"
                    (change)="changeDriverStatus($event)" class="form-control" multiple>
                    <mat-option value="A"> Active</mat-option>
                    <mat-option value="I"> Inactive</mat-option>
                    <mat-option value="T"> Terminated</mat-option>
                    <mat-option value="S"> Suspended</mat-option>
                  </mat-select>
                </div>
              </div>
            </div>
            <div class="fm-row">
              <div class="row ">
                <div class="col-sm-4">
                  <input [(ngModel)]="deviceForm" [formControl]="device" type="text" placeholder="Select device"
                    [matAutocomplete]="devices" class="form-control custom-class-border"
                    (ngModelChange)="searchDevice($event)">
                  <img *ngIf="loadingIndicator == 'searchDevice'" class="loading_indicator"
                    src="assets/img/loading.gif" alt="my dtc"/>
                  <mat-autocomplete #devices="matAutocomplete" [displayWith]="displayFndevice">
                    <mat-option *ngFor="let device of deviceData" [value]="device">
                      <div class="option-otr">
                        <div class="option_span">{{ device.unique_device_id }}</div>
                        <div class="option_span"> {{device.device_model}}</div>
                      </div>
                    </mat-option>
                    <mat-option *ngIf="deviceData == '' && deviceData.length == 0">No Matches Found</mat-option>
                  </mat-autocomplete>
                </div>
                <div class="col-sm-4">
                  <input matInput placeholder="Select Shift" class="form-control custom-class-border"
                    name="shift_timing" #shift_timing="ngModel" (ngModelChange)="searchShiftTiming($event)"
                    [(ngModel)]="shift_timing_id" aria-label="shift_timing_id" [matAutocomplete]="shift_timing">
                  <img *ngIf="loadingIndicator == 'searchShiftTiming'" class="loading_indicator"
                    src="assets/img/loading.gif" alt="my dtc"/>
                  <mat-autocomplete #shift_timing="matAutocomplete" [displayWith]="displayFnShiftTiming">
                    <mat-option *ngFor="let shift of ShiftTimingsData" [value]="shift">
                      <span>{{shift.name}}</span>
                    </mat-option>
                    <mat-option *ngIf="ShiftTimingsData == '' && ShiftTimingsData.length == 0">No Matches Found
                    </mat-option>
                  </mat-autocomplete>
                </div>
                <div class="col-sm-4" *ngIf="dtc">
                  <mat-select [(ngModel)]="companyIdFilter" placeholder="Company" (change)="changeCompany()"
                    class="form-control" multiple>
                    <mat-option value="all" (click)="selectAllCompany()">All</mat-option>
                    <mat-option (click)="companyManualSelect()" *ngFor="let company of companyData"
                      [value]="company._id">
                      {{company.company_name}}
                    </mat-option>
                  </mat-select>
                </div>
              </div>
            </div>

            <div class="fm-row row">
              <div class="col-md-12">
                <div class="col-sm-4 text-left">
                  <ng-container *ngIf="aclDelete">
                    <button (click)="openDeleteArrayDialog( )" class="btn btn-sm btn-primary red">
                      <i aria-hidden="true" class="fa fa-trash"></i> Delete Selected
                    </button>
                  </ng-container>
                </div>
                <div class="col-sm-8 text-right">
                  <ng-container *ngIf="downloads">
                    <span matTooltip="CSV">
                      <img src="assets/img/csv.png" (click)="createCsv()" alt="my dtc"/>
                    </span>
                  </ng-container>
                  <button (click)="getdriver()" class="btn btn-sm btn-primary blue">
                    <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                  <button class="btn btn-sm btn-primary green" (click)="refetchDrivers()">
                    <i aria-hidden="true" class="fa fa-refresh"></i> Refresh </button>
                  <button class="btn btn-sm btn-primary red" (click)="reset()">
                    <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters </button>
                  <ng-container *ngIf="aclAdd">
                    <button type="button" class="btn btn-primary btn-sm add-new-record blue"
                      [routerLink]="['/admin/fleet/drivers/add']">Add
                      new record</button>
                  </ng-container>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div *ngIf="DriverLength>0">Total records :{{DriverLength}}</div>
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped driver-listing table-bordered zoom">
                  <thead>
                    <tr>
                      <th scope="col" *ngIf="aclDelete" class="text-center">
                        <input type="checkbox" [(ngModel)]="selectedAll" (change)="selectAll()" />
                      </th>
                      <th scope="col">Image</th>
                      <th scope="col" class="sorting" (click)="sort('name')">Personal Info
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up"
                            [ngClass]="{'sorted-color': sortOrder=='desc' && key =='name' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"
                            [ngClass]="{'sorted-color': sortOrder=='asc' && key =='name' }"></i>
                        </span>
                      </th>
                      <th scope="col">Work Info</th>
                      <th scope="col">Documents Info</th>
                      <th scope="col">Current vehicle</th>
                      <th scope="col">Attributes</th>
                      <th scope="col">Shift Assignment</th>
                      <th scope="col">Additional Service</th>
                      <th scope="col">Block Status</th>
                      <th scope="col">Status</th>
                      <th scope="col">Reconcile Status</th>
                      <th scope="col" *ngIf="aclEdit">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" alt="my dtc"/>
                    </span>
                    <tr *ngFor="let driver of DriverData; let i = index" [attr.data-index]="i">
                      <td *ngIf="aclEdit || aclDelete" class="text-center">
                        <input type="checkbox" [(ngModel)]="driver.selected" [checked]="driver.checked"
                          (change)="checkIfAllSelected(driver, i)">
                      </td>
                      <td>
                        <div class="text-center">
                          <img class="driver-img img-circle circle-border"
                            [src]="driver.profile_picture ? apiUrl + driver.profile_picture+imageext : '../../assets/img/noimage.jpg'" alt="my dtc">
                          <br>
                          <br>
                          <ng-container *ngIf="aclForceLogout">
                            <button [disabled]="checkIfLogoutPressed(driver._id)" *ngIf="driver.status == 'login'"
                              class="btn btn-sm btn-danger text-center"
                              (click)="DriverstatusChangePopup(driver, i,'f')">Force
                              Logout</button>
                            <span
                              *ngIf="adminUser.email && (adminUser.email=='razeen@ntg.com' || adminUser.email=='fazil@ntg.com' || adminUser.email=='shobin@ntg.com' || adminUser.email=='sanojsen@ntg.com' || adminUser.email=='sanoj_sen@gmail.com')">
                              <button *ngIf="driver.status == 'login'" class="btn btn-sm btn-danger text-center"
                                (click)="forceShiftClose(driver._id)">Force
                                Shift Close</button>
                            </span>
                            <br>
                            <p *ngIf="checkIfLogoutPressed(driver._id)">Force logout in progress</p>
                            <div class="text-center" *ngIf="driver.status == 'logout'">Logout</div>
                          </ng-container>
                          <br>
                          <br>
                          <div class="text-center">
                            <i aria-hidden="true" class="fa fa-edit" (click)="CustomerRating(driver)">&nbsp;&nbsp;</i>
                            <span style="color:#18a689;font-weight:bold;font-size:14px">{{driver.avg_ratings ?
                              (driver.avg_ratings | number:'1.1-1'):'N/A'}}</span>
                            <br>
                            <rating [(ngModel)]="driver.avg_ratings" [readonly]="true"></rating>

                          </div>
                        </div>
                      </td>
                      <td>
                        <table aria-describedby="Manage Company" class="table table-color">
                          <tr>
                            <th scope="col">Name</th>
                            <td>{{driver.name ? driver.name:'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Surname</th>
                            <td>{{driver.surname ? driver.surname:'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Display name </th>
                            <td>{{driver.display_name ? driver.display_name:'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Gender </th>
                            <td>{{driver.gender ? driver.gender:'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Marital status </th>
                            <td>{{driver.marital_status ? driver.marital_status:'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Birth date </th>
                            <td>{{driver.birth_date ? (driver.birth_date | date: 'dd/MM/yyyy') :'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Nationality</th>
                            <td>{{driver.nationality ? driver.nationality:'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Phone number</th>
                            <td>{{driver.phone_number ? driver.phone_number:'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">E-mail </th>
                            <td>{{driver.email ? driver.email:'N/A'}}</td>
                          </tr>
                        </table>
                      </td>
                      <td>
                        <table aria-describedby="Manage Company" class="table table-color">
                          <tr>
                            <th scope="col">Username</th>
                            <td>{{driver.username ? driver.username:'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Company </th>
                            <td>{{ driver.company_id ? driver.company_id.company_name:'N/A' }}</td>
                          </tr>
                          <tr>
                            <th scope="col">Current Device Id</th>
                            <td>
                              {{driver.device_id ? driver.device_id.unique_device_id:'NA'}}
                            </td>
                          </tr>
                          <tr>
                            <th scope="col">Last login date </th>
                            <td>{{ driver.shift_timings_id!=null ? driver.shift_timings_id.start_time :'N/A' }}</td>
                          </tr>
                          <tr>
                            <th scope="col">Last logout date </th>
                            <td>{{ driver.shift_timings_id!=null ? driver.shift_timings_id.end_time :'N/A' }}</td>
                          </tr>
                        </table>
                      </td>
                      <td>
                        <table aria-describedby="Manage Company" class="table table-color">
                          <tr>
                            <th scope="col">Driver licence number </th>
                            <td>{{driver.driver_licence_number != null ? driver.driver_licence_number:'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Driver licence expiry date </th>
                            <td>
                              {{driver.driver_licence_expiry_date != null ? (driver.driver_licence_expiry_date | date: 'dd/MM/yyyy'):'N/A'}}
                            </td>
                          </tr>
                          <tr>
                            <th scope="col">RTA Permit number</th>
                            <td>{{driver.permit_number != null ? driver.permit_number : 'N/A' }}</td>
                          </tr>
                          <tr>
                            <th scope="col">RTA Permit expiry date</th>
                            <td>{{driver.permit_expiry_date ? (driver.permit_expiry_date | date: 'dd/MM/yyyy') : 'N/A'}}
                            </td>
                          </tr>
                          <tr>
                            <th scope="col">Emirates ID</th>
                            <td>{{driver.emirates_id != null ? driver.emirates_id : 'N/A'}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Emirates ID expiry</th>
                            <td>
                              {{driver.emirates_id_expiry != null ? (driver.emirates_id_expiry | date: 'dd/MM/yyyy') : 'N/A'}}
                            </td>
                          </tr>
                        </table>
                      </td>
                      <td>
                        <table aria-describedby="Manage Company" class="table table-color">
                          <tr>
                            <th scope="col">Vehicle Status </th>
                            <td>
                              {{ driver.vehicle_id ? ((driver.vehicle_id.booked_status == '1') ? 'On Trip' : 'Free') :'N/A' }}
                            </td>
                          </tr>
                          <tr>
                            <th scope="col">Vehicle Side No </th>
                            <td>{{ driver.vehicle_id? driver.vehicle_id.vehicle_identity_number :'N/A' }}</td>
                          </tr>
                          <tr>
                            <th scope="col">Vehicle plate </th>
                            <td>{{ driver.vehicle_id? driver.vehicle_id.plate_number :'N/A' }}</td>
                          </tr>
                          <tr>
                            <th scope="col">Vehicle model </th>
                            <td>{{ driver.vehicle_id ? (driver.vehicle_id.vehicle_model_id ?
                              driver.vehicle_id.vehicle_model_id.name:
                              "N/A") : (driver.vehicle_id ? driver.vehicle_id : "N/A")}}</td>
                          </tr>
                          <tr>
                            <th scope="col">Vehicle color </th>
                            <td>{{ driver.vehicle_id? driver.vehicle_id.vehicle_color :'N/A' }}</td>
                          </tr>
                          <tr>
                            <th scope="col">Insurance expiry </th>
                            <td>
                              {{ driver.vehicle_id? (driver.vehicle_id.insurance_expiration_date | date: 'dd/MM/yyyy') :'N/A' }}
                            </td>
                          </tr>
                          <tr>
                            <th scope="col">Vehicle expiry </th>
                            <td>
                              {{ driver.vehicle_id? (driver.vehicle_id.vehicle_expiry_date | date: 'dd/MM/yyyy') :'N/A' }}
                            </td>
                          </tr>
                        </table>
                      </td>
                      <td *ngIf="aclEdit">
                        <button class="btn btn-sm btn-primary btn-block" (click)="DriverLanguage(driver)">Edit
                          Language</button>
                        <button class="btn btn-sm btn-primary btn-block" (click)="DriverGroup(driver)">Edit Driver
                          Group</button>
                      </td>
                      <td *ngIf="aclEdit">
                        <button class="btn btn-sm btn-primary" (click)="shiftAsignment(driver)">Shift
                          Assignment</button>
                      </td>
                      <td *ngIf="aclEdit">
                        <button class="btn btn-sm btn-primary" (click)="EditAddService(driver)">Edit Add.
                          Service</button>
                      </td>
                      <ng-container *ngIf="aclEdit">
                        <td *ngIf="driver.blocked_status == '1'">
                          <button [disabled]="aclDriverBlock || checkIfBlockPressed(driver._id)"
                            class="btn btn-sm btn-danger" (click)="openDialogToUnblock(driver, i)">Force
                            Logout &
                            Blocked</button>
                          <p>Block Type: {{driver.reason}}</p>
                          <p *ngIf="devices.note!=''">Note : {{driver.note}}</p>
                          <p *ngIf="checkIfBlockPressed(driver._id)">Unblock operation in progress</p>
                        </td>
                        <td *ngIf="driver.blocked_status == '0' || driver.blocked_status == '2'">
                          <button [disabled]="aclDriverBlock || checkIfBlockPressed(driver._id)"
                            class="btn btn-sm btn-primary"
                            (click)="DriverstatusChangePopup(driver, i,'b')">Unblocked</button>
                          <p *ngIf="checkIfBlockPressed(driver._id)">Block operation in progress</p>
                        </td>
                      </ng-container>
                      <td style="min-width:150px;text-align: center;">
                        <div style="padding:5px;text-align: center;">
                          <span *ngIf="!driver.driver_status" style="color: green"><strong>Active</strong></span>
                          <span *ngIf="driver.driver_status=='T'" style="color: red"><strong>Terminated</strong></span>
                          <span *ngIf="driver.driver_status=='S'" style="color: orange"><strong>Suspended</strong></span>
                          <span *ngIf="driver.driver_status=='A'" style="color: green"><strong>Active</strong></span>
                          <span *ngIf="driver.driver_status=='I'" style="color: darkgoldenrod"><strong>In Active</strong></span>
                        </div>
                        <br>
                        <div class="text-align:center;">
                          <button [disabled]="aclDriverStatus" class="btn btn-sm btn-primary"
                            (click)="openChangeStatusDialog(driver)">Change</button>
                        </div>
                        <div class="text-align:center;">
                          <div *ngIf="driver.blocked_status == '1'">
                            <h3 style="color: #ed5565;">Driver Blocked</h3>
                            <div *ngIf="driver.bl_by && driver.bl_by != ''"><strong>Blocked By</strong><br>{{driver.bl_by}}</div>
                            <div *ngIf="driver.reason && driver.reason != ''"><strong>Block reason</strong> <br>{{driver.reason}}
                            </div>
                            <div *ngIf="driver.note && driver.note != ''"><strong>Note</strong><br>{{driver.note}}</div>
                          </div>
                        </div>
                      </td>
                      <td>
                        <div style="padding:5px;text-align: center;">
                          <span *ngIf="!driver.block_reco || driver.block_reco==null" style="color: green"><strong>Reconcilation Active</strong></span>
                          <span *ngIf="driver.block_reco==1" style="color: red"><strong>Reconcilation Deactive</strong></span>
                          <span *ngIf="driver.block_reco==0" style="color: green"><strong>Reconcilation Active</strong></span>
                        </div>
                        <br>
                        <div class="text-align:center;">
                          <button [disabled]="recoEdit" class="btn btn-sm btn-primary"
                            (click)="openChangeRecoStatusDialog(driver)">Change</button>
                        </div>
                      </td>
                      <td>
                        <span *ngIf="aclEdit" matTooltip="Edit">
                          <div class="fa fa-edit text-navy" [routerLink]="['/admin/fleet/drivers/edit', driver._id]">
                          </div>
                        </span>
                        <span *ngIf="aclDelete" matTooltip="Delete">
                          <a (click)="openDeleteDialog(driver._id, i)">
                            <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                          </a>
                        </span>
                        <span>
                          <div class="dropdown list-driver">
                            <i aria-hidden="true" data-toggle="dropdown" class="fa fa-cog  text-navy"></i>
                            <ul class="dropdown-menu">
                              <li>
                                <a (click)="showOrderHistory(driver)">Order Status History</a>
                              </li>
                              <li (click)="shiftInfo(driver)">
                                <a>Online History</a>
                              </li>
                              <li (click)="shiftDetail(driver)">
                                <a>Shift Detail</a>
                              </li>
                            </ul>
                          </div>
                        </span>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <br>
              <div class="container-fluid" *ngIf="DriverLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <div>
                      <ngb-pagination [collectionSize]="DriverLength" (pageChange)="pagingAgent($event)" [(page)]="pNo"
                        [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                      </ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="DriverLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<style>
  .dd-option-image,
  .dd-selected-image {
    vertical-align: middle;
    float: left;
    margin-right: 5px;
    width: 35px;
    height: 35px;
    border-radius: 50%;
  }

  ul.dd-options.dd-click-off-close {
    width: 200px !important;
  }
</style>